<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>User details</title>
    <link rel="stylesheet" type="text/css" href="css/user.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <link rel="stylesheet" type="text/css" href="css/dropdown.css">
    <link rel="stylesheet" type="text/css" href="css/jquery.modal.min.css">
    <link rel="stylesheet" type="text/css" href="css/details.css">
    <!-- <link rel="stylesheet" type="text/css" href="css/user.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="css/dark.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="/css/bootstrap.min.css"> -->
    <script src="js/jquery-3.3.1.js"></script>
    <script src="js/jquery.modal.min.js"></script>
    <script src="js/lists.js"></script>
    <script src="js/main.js"></script>
    <script src="js/details.js"></script>
</head>

<body>
    <div class="centered-container navbar">
        <h1 class="page-title">Magit User Details</h1>
        <nav>
            <a href="user.html">Main Page</a>
        </nav>
    </div>
    <div>
        <!-- List commit files -->
        <div id="filesListModal" class="modal">
            <div id="commitFiles">
                <input class="search" placeholder="Search"/>
                <ul class="list"></ul>
            </div>
            <a href="#" rel="modal:close">Close</a>
        </div>
        <!--  -->
        <div id="wcModal" class="modal">
            <div class="horizontal-flex">
                <div class="vertical-flex">
                    content
                </div>
                <div class="vertical-flex">
                    files
                </div>
            </div>
            <a href="#" rel="modal:close">Close</a>
        </div>
        <div class="vertical-flex centeral">
            <div class="header">Repository!</div>
            <div class="horizontal-flex centeral" style="justify-content: space-between; flex-wrap: nowrap">
                <div class="horizontal-flex centeral" style="flex-basis: 90%">
                    <!-- Branches control cube -->
                    <div class="box vertical-flex cubic">
                        <div class="header">Branches</div>
                        <div id="msgContainer" class="items-container vertical-flex">
                            <div class="dropdown">
                                <button id="branchesDropDownBtn" class="dropbtn" onclick="dropbtnToggle($('#branchesDropDownData'))">Branch A
                                    <img src="icons/dropdown.png" style="height: 1em">
                                </button>
                                <div class="dropdown-content shrinked" style="display: none" id="branchesDropDownData">
                                    <a href="#">Branch A (123123123123123123)</a>
                                    <a href="#">Branch B (123123123123123123)</a>
                                    <a href="#">Branch C (123123123123123123)</a>
                                </div>
                            </div>
                            <div class="button-panel">
                                <div class="button">Delete</div>
                                <div class="button">Create</div>
                                <div class="button">Checkout</div>
                                <div class="button">Change</div>
                            </div>
                        </div>
                    </div>
                    <!-- Commit list -->
                    <div class="vertical-flex box-container centeral">
                        <div id="repositoriesContainer" class="table">
                            <div class="first-item table-header">#</div>
                            <div class="table-header">Sha1</div>
                            <div class="table-header">Message</div>
                            <div class="table-header">Creator</div>
                            <div class="table-header">Creation Date</div>
                            <div class="table-header">Branches</div>
                            <div class="last-item table-header">Operations</div>
                            
                            <div class="first-item table-item">1</div>
                            <div class="table-item">adc83b19e793491b1c6ea0fd8b46cd9f32e592fc</div>
                            <div class="table-item">Some commit message</div>
                            <div class="table-item">John Doe</div>
                            <div class="table-item">20/Sep/2019 17:18:01</div>
                            <div class="table-item">Master, Deep, Sumo</div>
                            <div class="last-item table-item" onclick="onCommitChosen()"><img src="icons/list.png"></div>
                        </div>
                    </div>
                    <!-- Branches control cube -->
                    <div class="box vertical-flex cubic">
                            <div class="header">Commit files</div>
                            <div id="msgContainer" class="items-container vertical-flex">
                                <div class="dropdown">
                                    <button id="branchesDropDownBtn" class="dropbtn" onclick="dropbtnToggle($('#branchesDropDownData'))">Branch A
                                        <img src="icons/dropdown.png" style="height: 1em">
                                    </button>
                                    <div class="dropdown-content shrinked" style="display: none" id="branchesDropDownData">
                                        <a href="#">Branch A (123123123123123123)</a>
                                        <a href="#">Branch B (123123123123123123)</a>
                                        <a href="#">Branch C (123123123123123123)</a>
                                    </div>
                                </div>
                                <div class="button-panel">
                                    <div class="button">Delete</div>
                                    <div class="button">Create</div>
                                    <div class="button">Checkout</div>
                                    <div class="button">Change</div>
                                </div>
                            </div>
                        </div>
                </div>
                <div class="horizontal-flex centeral" style="flex-basis: 10%">
                    <div class="box vertical-flex side-bar">
                        <div class="header">Notifications</div>
                        <div id="msgContainer" class="items-container scrollable">
                            <a href="#">
                                <div class="hidden item hoverable">msg1</div>
                            </a>
                        </div>
                    </div>  
                </div>
            </div>
            
        </div>
    </div>
</body>

</html>